Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060516 - SD becomes inaccessible while adding a new lun to it
Summary: SD becomes inaccessible while adding a new lun to it
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Daniel Erez
QA Contact: Meital Bourvine
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-02 09:27 UTC by Meital Bourvine
Modified: 2016-02-10 20:24 UTC (History)
11 users (show)

Fixed In Version: ovirt-3.4.0-beta3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
logs (deleted)
2014-02-03 08:19 UTC, Meital Bourvine
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 24071 None None None Never
oVirt gerrit 24231 None None None Never

Description Meital Bourvine 2014-02-02 09:27:41 UTC
Description of problem:
SD becomes inaccessible while adding a new lun to it, while the DC is active.

Version-Release number of selected component (if applicable):
IS33

How reproducible:
100%

Steps to Reproduce:
1. Choose an active DC
2. Create a script that adds in a loop disks to a VM (example attached)
3. Edit the SD, and add a new lun to it
4. See that the script fails with this error:
Adding disk to 'vm_test_disks' failed:
status: 409
reason: Conflict
detail: Cannot add Virtual Machine Disk. The relevant Storage Domain is inaccessible.
-Please handle Storage Domain issues and retry the operation.

Actual results:
SD becomes inaccessible

Expected results:
SD should stay accessible

Additional info:
The script can be found here
http://pastebin.test.redhat.com/189091

Comment 1 Allon Mureinik 2014-02-03 07:42:08 UTC
Meital, can you also attach the engine+VDSM logs?

Comment 2 Meital Bourvine 2014-02-03 08:19:50 UTC
Created attachment 858441 [details]
logs

Comment 3 Daniel Erez 2014-02-03 08:54:37 UTC
According to the logs [1], it seems that disk add operation failed while extending the storage domain - which is the correct behavior. Can the issue be reproduced without extending the domain? 

[1]
2014-02-03 10:17:48,182 INFO  [org.ovirt.engine.core.bll.storage.ExtendSANStorageDomainCommand] (ajp-/127.0.0.1:8702-2) [1eec2af4] Running command: ExtendSANStorageDomainCommand internal: false. Entities affected :  ID: 4a3b80d4-7236-4b9a-a4c8-8a1bfe317e6a Type: Storage
2014-02-03 10:17:48,185 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.ExtendStorageDomainVDSCommand] (ajp-/127.0.0.1:8702-2) [1eec2af4] START, ExtendStorageDomainVDSCommand( storagePoolId = 5849b030-626e-47cb-ad90-3ce782d831b3, ignoreFailoverLimit = false, storageDomainId = 4a3b80d4-7236-4b9a-a4c8-8a1bfe317e6a, deviceList = [3514f0c59af400016]), log id: 1ecf41b
2014-02-03 10:17:48,655 INFO  [org.ovirt.engine.core.bll.AddDiskCommand] (ajp-/127.0.0.1:8702-6) [18bedac2] Lock Acquired to object EngineLock [exclusiveLocks= key: c3c5f78f-c627-450e-89e3-3fdef53406df value: VM_DISK_BOOT
, sharedLocks= key: c3c5f78f-c627-450e-89e3-3fdef53406df value: VM
]
2014-02-03 10:17:48,663 WARN  [org.ovirt.engine.core.bll.AddDiskCommand] (ajp-/127.0.0.1:8702-6) [18bedac2] CanDoAction of action AddDisk failed. Reasons:VAR__ACTION__ADD,VAR__TYPE__VM_DISK,ACTION_TYPE_FAILED_STORAGE_DOMAIN_STATUS_ILLEGAL
2014-02-03 10:17:48,663 INFO  [org.ovirt.engine.core.bll.AddDiskCommand] (ajp-/127.0.0.1:8702-6) [18bedac2] Lock freed to object EngineLock [exclusiveLocks= key: c3c5f78f-c627-450e-89e3-3fdef53406df value: VM_DISK_BOOT
, sharedLocks= key: c3c5f78f-c627-450e-89e3-3fdef53406df value: VM
]
2014-02-03 10:17:48,669 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (ajp-/127.0.0.1:8702-6) Operation Failed: [Cannot add Virtual Machine Disk. The relevant Storage Domain is inaccessible.
-Please handle Storage Domain issues and retry the operation.]

Comment 4 Meital Bourvine 2014-02-03 10:16:06 UTC
The bug is about adding a disk while extending the SD, so it doesn't make scense to reproduce it in a different scenario :)

Comment 5 Daniel Erez 2014-02-11 18:20:56 UTC
Changed CanDo message to "The relevant Storage Domain's status is Locked"

Comment 6 Sandro Bonazzola 2014-02-19 12:27:50 UTC
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA

Comment 7 Meital Bourvine 2014-02-20 09:31:03 UTC
Verified on ovirt-engine-3.4.0-beta3 using the script attached in the bug itself.

Comment 9 Itamar Heim 2014-06-12 14:11:25 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.